Subject: linux-next: manual merge of the fbdev tree with the asm-generic tree

From: Stephen Rothwell <[email-masked]>
Date: Thu, 15 Mar 2018 12:38:09 +1100

Hi Bartlomiej,

Today's linux-next merge of the fbdev tree got a conflict in:

  drivers/video/console/Kconfig

between commits:

  739d875dd698 ("mn10300: Remove the architecture")
  588020dcb92a ("treewide: simplify Kconfig dependencies for removed archs")

from the asm-generic tree and commit:

  f06a51a08f9d ("video: console: kconfig: Remove AVR32 dep. from VGA_CONSOLE")

from the fbdev tree.

I fixed it up (the latter is a subset of the former) and can carry the
fix as necessary. This is now fixed as far as linux-next is concerned,
but any non trivial conflicts should be mentioned to your upstream
maintainer when your tree is submitted for merging.  You may also want
to consider cooperating with the maintainer of the conflicting tree to
minimise any particularly complex conflicts.

-- 
Cheers,
Stephen Rothwell